# 融租易开发手册

* [GitBook使用](/gitbook.md)
---
* I. 开发环境准备

   * [1.1 Git 使用](/git-guide.md "git指令")
   * [1.2 Maven 使用](/maven.md "maven使用")
   * [1.3 开发环境搭建](/project-create.md)
   * [1.4 更新项目的HEL依赖版本](/project-update.md)
   * [1.5 Liquibase](/liquibase-use.md)

* II. 项目开发规范

 * [2.1 项目开发规范](/codeStyle.md#backEndDev)
 * [2.2 编码规范](/codeStyle.md#backEndName)
 * 2.3 Checkstyle

* III. 后端开发

* IV. 前端JavaScript开发

 * [4.1 前端开发说明 \(1.0\)](/front-kendoui.md)
 * [4.2 字段级通用方法](/common-field-javascript.md)
 * [4.3 窗口级通用方法](/common-window-javascript.md)

* V. 前端UI开发

     * [5.1 hlsCombobox](/前端组件/hlsCombobox.md)
     * [5.2 hlsDataSource](/前端组件/hlsDataSource.md)
     * [5.3 hlsMaskedTextBox](/前端组件/hlsMaskedTextBox.md)
     * [5.4 hlsPage](/前端组件/hlsPage.md)
     * [5.5 hlsTextArea](/前端组件/hlsTextArea.md)
     * [5.6 hlsTlEdit](/前端组件/hlsTlEdit.md)
     * [5.7 hlsDatePicker](/前端组件/hlsDatePicker.md)
     * [5.8 hlsDateTimePicker](/前端组件/HlsDateTimePicker.md)
     * [5.9 hlsLov](/前端组件/HlsLov.md)
     * [5.10 hlsToolBar](/前端组件/HlsToolBar.md)
     * [5.11 TabStrip](/前端组件/TabStrip.md)
     * [5.12 hlsForm](/前端组件/hlsForm.md)
     * [5.13 hlsCombobox](/前端组件/HlsCombobox.md)
     * [5.14 hlsCheckBox](/前端组件/HlsCheckBox.md)
     * [5.15 抽屉通用方法](/前端组件/box.md)
     * [5.16 Grid](/前端组件/Grid.md)
     * [5.17 DataSource](/前端组件/DataSource.md)
     * [5.18 hlsGridBox](/前端组件/hlsGridBox.md)
     * [5.19 NumericTextBx](/前端组件/NumericTextBox.md)
     * [5.20 HlsNavigationBar](/前端组件/HlsNavigationBar.md)
  
* VI. 框架功能描述

 * [6.1 计划任务](/框架功能描述/计划任务.md)
 * [6.2 RabbitMq消息队列](/后端开发/RabbitMq消息队列.md)
 * [6.3 应用服务部署(tomcat/weblogic)](/框架功能描述/deployment.md)
 * [6.4 合同文本生成](/docx4j.md)



